Bug 226789 - security/openssh-portable: patches for gssapi key exchange for 7.7p1
Summary: security/openssh-portable: patches for gssapi key exchange for 7.7p1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-19 21:33 UTC by david
Modified: 2018-04-26 00:40 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (bdrewery)


Attachments
Patch to security/openssh-portable to unbreak KERB_GSSAPI (2.18 KB, patch)
2018-04-25 12:03 UTC, Rick
no flags Details | Diff
Poudriere build log w/ attached opens-portable-gssapi.patch applied (292.19 KB, text/plain)
2018-04-25 12:06 UTC, Rick
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description david 2018-03-19 21:33:45 UTC
patches for gssapi key exchange for 7.6p1 are available at the typical place (specifically for 7.6: https://sources.debian.org/data/main/o/openssh/1:7.6p1-4/debian/patches/gssapi.patch)
Comment 2 Rick 2018-04-25 12:03:27 UTC
Created attachment 192801 [details]
Patch to security/openssh-portable to unbreak KERB_GSSAPI
Comment 3 Rick 2018-04-25 12:06:24 UTC
Created attachment 192802 [details]
Poudriere build log w/ attached opens-portable-gssapi.patch applied
Comment 4 Rick 2018-04-25 12:12:50 UTC
I've added two attachments:

* openssh-portable-gssapi.patch: Updates the Port to use the upstream PATCH_SITE and PATCHFILES.
* Poudriere build log illustrating that poudriere builds the package with KERB_GSSAPI enabled

Please update the port to unbreak KERB_GSSAPI.
Comment 5 commit-hook freebsd_committer 2018-04-25 18:06:32 UTC
A commit references this bug:

Author: bdrewery
Date: Wed Apr 25 18:05:41 UTC 2018
New revision: 468286
URL: https://svnweb.freebsd.org/changeset/ports/468286

Log:
  Update the KERB_GSSAPI patch from debian.

  https://sources.debian.org/data/main/o/openssh/1:7.7p1-2/debian/patches/gssapi.patch
  is mirrored due to not being filename-unique and not gzipped.

  PR:		226789
  Submitted by:	Rick Miller <vmiller@verisign.com> (based on)
  Tested by:	Rick Miller <vmiller@verisign.com>
  Reported by:	david@dcrosstech.com

Changes:
  head/security/openssh-portable/Makefile
  head/security/openssh-portable/distinfo
Comment 6 Garrett Wollman freebsd_committer 2018-04-26 00:40:33 UTC
Confirmed that this works in my environment too.  Thanks, Brian, Rick, and David.